#include <bits/stdc++.h>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false); 
    cin.tie(NULL) ; cout.tie(NULL) ;
    
    string t, s;
    cin>>t>>s;
    int tl=t.length();
    int sl=s.length();
    
    int br=0;
    if(s=="a"){
    	for(int i =0; i< tl;i++){
    		if(t[i]=='a'){
    			br++;
    			t[i]='*';
			}
		}
			cout<<br<<"\n";
	for(int i =0; i< tl;i++){
    		cout<<t[i];
		}
	}else{
		for(int i =0; i< tl;i++){
    		if(t[i]=='a'){
    			br++;
    			t[i]='*';
			}
		}
		cout<<br-(sl-1)<<"\n";
		
		int a=0;
		for(int i = 0; i<tl;i++){
			if(t[i]=='*' && (a<sl-1)){
				a++;
				cout<<'a';
			}else{
				cout<<t[i];
			}
		}
	}
	
    return 0;
}